<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button></ion-back-button>

            <ion-menu-button></ion-menu-button>
        </ion-buttons>

        <ion-title>Explorer les trajets publics</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
  
    <div *ngFor="let ride of rides">

        <ion-card (click)="dpDetails(ride)" style="font-size: 19px; padding: 10px;">
            {{ride.color}}

            <div *ngIf="ride.detailIsDisplay">
                <span>Difficulté: {{ride.difficulty}}</span>
                <span>Auteur: {{ride.rider}}</span>
                <span>Couleur: {{ride.color}};</span>

                <ion-button (click)="setRideView(ride)" routerLinkActive="router-link-active" >Voir</ion-button>
            </div>
        </ion-card>


    </div>
  
</ion-content>
